<div class="container">
  <label class="form-label">{{componentName}} </label>
  <form id="deleteClientForm" [formGroup]="randomTextForm">
    <div class="col-12">
      <div class="row">
        <div class="col-2">
          <label class="col-form-label ">Reference :</label>
        </div>
        <div class="col-5">
    <textarea type="text" class="form-control w-75" placeholder="Enter Url to fetch data" formControlName="urlName"
              rows="3" maxlength="200">
    </textarea>
          <span class="text-muted">{{remainingTextExperience}} character remaining</span>
        </div>
        <div class="col-5 mt-3">
          <button type="button" class="btn btn-primary align-middle" (click)="fetchData()">SUBMIT
          </button>
        </div>
      </div>
    </div>
    <span *ngIf="f.urlName.touched && f.urlName.invalid" class="text-danger fw-bold">
      <div *ngIf="f.urlName.errors?.pattern">Please Enter Valid URL.</div>
      <div *ngIf="f.urlName.errors?.required">URL is required.</div>
    </span>
    <label class="col-form-label">Total number of words received from the
      response: {{randomTextForm.value.textWordCount}}</label>
  </form>
</div>
<hr>
